MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027059Community[OCCT] OCCT:Modeling Datapublic2016-01-04 15:592016-04-20 15:50
Reportermartinsiggel 
Assigned Tobugmaster 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027059: Point->Curve Projection/Extrema fails [OCCT 7 only]
DescriptionWith the new OCCT 7 beta, a simple projection using GeomAPI_ProjectPointOnCurve and Extrema_ExtPC fails. No solution is found for this problem.

The point lies on the end of the curve, but slightly shifted away normal to the curve.

Only if we put this point directly ON the curve by setting p.X = 12.7, then the algorithms succeeds. All other values of p.X fail.

This example worked with all OCCT 6 versions.

See attached file project.brep - first shape is the vertex, second the edge/curve.
Steps To Reproducepload ALL

restore project.brep compound
explode compound
mkcurve curve compound_2

# both fail
proj curve 12.699999 16.8949999999593 0.534684851975074
proj curve 12.700001 16.8949999999593 0.534684851975074
# only this succeeds
proj curve 12.700000 16.8949999999593 0.534684851975074
TagsNo tags attached.
Test case numberbugs moddata_3 bug27059
Attached Files? file icon project.brep (741 bytes) 2016-01-04 15:59

- Relationships

-  Notes
(0049772)
git (administrator)
2016-01-11 13:40

Branch CR27059 has been created by aml.

SHA-1: 00c0c8a8700a3f113e454eb53045efb73796b0a2


Detailed log of new commits:

Author: aml
Date: Mon Jan 11 12:21:01 2016 +0300

    0027059: Point->Curve Projection/Extrema fails [OCCT 7 only]
    
    Add check to run interval perform when necessary condition of extrema (small value of first derivative) is true.
    Test case added.
(0049773)
aml (developer)
2016-01-11 13:41

Dear msv,
Please check current state of branch CR27059. Original shape should be renamed to bug27059.brep.
(0049776)
git (administrator)
2016-01-11 15:30

Branch CR27059 has been updated forcibly by aml.

SHA-1: 18fe45ce2c6599e2cfa4e5badc5c0dce4bd837a1
(0049777)
msv (developer)
2016-01-11 15:32

Reviewed.
(0049792)
mkv (tester)
2016-01-12 17:23

Dear BugMaster,
Branch CR27059 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 18fe45ce2c6599e2cfa4e5badc5c0dce4bd837a1

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 134 (134 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27059-master-occt-64/Debian70-64/bugs/moddata_3/bug27059.html [^]
http://occt-tests/CR27059-master-occt-64/Windows-64-VC10/bugs/moddata_3/bug27059.html [^]
bugs moddata_3 bug27059: OK

Testing on Linux:
occt component :
Total MEMORY difference: 89662567 / 89872343 [-0.23%]
Total CPU difference: 19164.900000000063 / 19261.14000000009 [-0.50%]
products component :
Total MEMORY difference: 25334382 / 25248592 [+0.34%]
Total CPU difference: 7420.950000000035 / 7482.440000000016 [-0.82%]

Testing on Windows:
occt component :
Total MEMORY difference: 57254411 / 57524837 [-0.47%]
Total CPU difference: 18148.71953719888 / 18865.94973479909 [-3.80%]
products component :
Total MEMORY difference: 16923521 / 17032519 [-0.64%]
Total CPU difference: 5681.228817899957 / 5812.004456199969 [-2.25%]

There are no differences in images found by testdiff.
(0049793)
mkv (tester)
2016-01-12 17:23

Dear BugMaster,
Branch CR27059 is TESTED.
(0053009)
git (administrator)
2016-04-17 13:54

Branch CR27059 has been deleted by kgv.

SHA-1: 18fe45ce2c6599e2cfa4e5badc5c0dce4bd837a1

- Related Changesets
occt: master c5a10cf7
Timestamp: 2016-01-11 09:21:01
Author: aml
Committer: bugmaster
Details ] Diff ]
0027059: Point->Curve Projection/Extrema fails [OCCT 7 only]

Add check to run extrema search when necessary condition of extrema is true (small value of first derivative of objective function).
Test case added.
mod - src/Extrema/Extrema_GExtPC.gxx Diff ] File ]
add - tests/bugs/moddata_3/bug27059 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-04 15:59 martinsiggel New Issue
2016-01-04 15:59 martinsiggel Assigned To => msv
2016-01-04 15:59 martinsiggel File Added: project.brep
2016-01-04 21:47 msv Assigned To msv => aml
2016-01-04 21:47 msv Priority normal => high
2016-01-04 21:47 msv Status new => assigned
2016-01-11 13:40 git Note Added: 0049772
2016-01-11 13:41 aml Note Added: 0049773
2016-01-11 13:41 aml Assigned To aml => msv
2016-01-11 13:41 aml Status assigned => resolved
2016-01-11 15:30 git Note Added: 0049776
2016-01-11 15:32 msv Note Added: 0049777
2016-01-11 15:32 msv Assigned To msv => bugmaster
2016-01-11 15:32 msv Status resolved => reviewed
2016-01-11 15:34 mkv Assigned To bugmaster => mkv
2016-01-12 17:23 mkv Note Added: 0049792
2016-01-12 17:23 mkv Test case number => bugs moddata_3 bug27059
2016-01-12 17:23 mkv Note Added: 0049793
2016-01-12 17:23 mkv Assigned To mkv => bugmaster
2016-01-12 17:23 mkv Status reviewed => tested
2016-01-15 16:57 bugmaster Changeset attached => occt master c5a10cf7
2016-01-15 16:57 bugmaster Status tested => verified
2016-01-15 16:57 bugmaster Resolution open => fixed
2016-04-17 13:54 git Note Added: 0053009
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker